Skip to main content
GET
/
experiments
List all experiments
curl --request GET \
  --url https://api.kameleoon.com/experiments \
  --header 'Authorization: Bearer <token>'
[
  {
    "baseURL": "<string>",
    "name": "<string>",
    "siteCode": "<string>",
    "siteId": 123,
    "autoOptimized": true,
    "collectingDataEnabled": true,
    "commonCssCode": "<string>",
    "commonJavaScriptCode": "<string>",
    "createdBy": 123,
    "dateCollectingDataStopped": "2023-11-07T05:31:56Z",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateEnded": "2023-11-07T05:31:56Z",
    "dateModified": "2023-11-07T05:31:56Z",
    "dateStarted": "2023-11-07T05:31:56Z",
    "dateStatusModified": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "deviations": {
      "12345": 0.5,
      "origin": 0.5
    },
    "executeCodeForReference": true,
    "globalScript": "<string>",
    "goals": [
      123
    ],
    "id": 123,
    "isArchived": true,
    "isLegacyEditor": true,
    "isMultipleTestingCorrection": true,
    "mainGoalId": 123,
    "mvtAllocationSettings": {
      "combinationsAllocations": [
        {
          "allocationPart": 123,
          "checked": true,
          "locked": true,
          "sectionId": 123,
          "variationId": "<string>"
        }
      ],
      "exposedPart": 123,
      "sectionsAllocations": [
        {
          "allocationPart": 123,
          "checked": true,
          "locked": true,
          "sectionId": 123,
          "variationId": "<string>"
        }
      ]
    },
    "mvtVariations": [
      {
        "sectionId": 123,
        "sectionName": "<string>",
        "variations": [
          {
            "id": 123,
            "name": "<string>"
          }
        ]
      }
    ],
    "respoolTime": {
      "12345": 833760000,
      "origin": 1704067200
    },
    "status": "<string>",
    "tags": [
      "<string>"
    ],
    "targetingConfiguration": "ALL_VISITORS",
    "targetingRule": {
      "siteId": 123,
      "id": 123,
      "segmentConfiguration": "ALL_VISITORS",
      "segmentId": 123,
      "targetingConfigurationParam": "<string>",
      "triggerConfiguration": "ALL_VISITORS",
      "triggerId": 123
    },
    "targetingRuleId": 123,
    "targetingSegmentId": 123,
    "trackingTools": [
      {
        "adobeOmnitureObject": "<string>",
        "comScoreCustomerId": "<string>",
        "comScoreDomain": "<string>",
        "contentSquareUrl": "<string>",
        "customIntegrations": [
          "<string>"
        ],
        "customVariable": 123,
        "eulerianUserCentricParameter": "<string>",
        "name": "GOOGLE_ANALYTICS4",
        "reportingScript": "<string>",
        "universalAnalyticsDimension": 123
      }
    ],
    "trafficAllocationMethod": "CONTEXTUAL_BANDIT",
    "type": "AI",
    "variations": [
      123
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

paramsIO
object
required
optionalFields
string[]

Response

OK

baseURL
string
required

URL of the website to load in editor and preview mode

name
string
required

Name of the experiment

siteCode
string
required
read-only

Site code of the experiment

siteId
integer<int64>
required

Site Id of the project the experiment belongs to

autoOptimized
boolean
deprecated

Deprecated. Use trafficAllocationMethod field instead

collectingDataEnabled
boolean

Indicates if data collection is enabled

commonCssCode
string

CSS code specific to all variations

commonJavaScriptCode
string

JavaScript code specific to all variations

createdBy
integer<int64>
read-only

Account Id of the creator of the experiment

dateCollectingDataStopped
string<date-time>
read-only

Date the data collection stops

dateCreated
string<date-time>
read-only
dateEnded
string<date-time>
read-only

Date the experiment ceased

dateModified
string<date-time>
read-only

Date the experiment was modified

dateStarted
string<date-time>
read-only

Date the experiment was launched

dateStatusModified
string<date-time>
read-only

Date the experiment was last modified

description
string
deviations
object

Traffic allocation per variation. Key can be 'origin'(for original page) or variation id.Value is the percentage of traffic which will be directed to this variation.It has to be double numbers ranging from 0(0%) to 1(100%).

Example:
{ "12345": 0.5, "origin": 0.5 }
executeCodeForReference
boolean
globalScript
string

JavaScript code that will be applied only to the selected experiment and executed in the end of the Global custom script

goals
integer<int64>[]

List of Ids of the goals being used by this experiment.For GET requests, this is an optional field that needs to be specified in request params

List of Ids of the goals being used by this experiment.For GET requests, this is an optional field that needs to be specified in request params

id
integer<int64>
read-only

Unique Id of the experiment

isArchived
boolean
read-only

Indicates if experiment is archived

isLegacyEditor
boolean
isMultipleTestingCorrection
boolean

Indicates whether multiple testing correction is enabled

mainGoalId
integer<int64>
mvtAllocationSettings
object
mvtVariations
object[]
respoolTime
object

The respoolTime map contains key-value pairs, where each key is a variation ID and the corresponding value is a timestamp representing the most recent change to the variation’s allocation (for example, using the Kameleoon app or the Automation API).

Example:
{ "12345": 833760000, "origin": 1704067200 }
status
string
read-only

Status of the experiment

tags
string[]

List of tags being used by this experiment.For GET requests, this is an optional field that needs to be specified in request params.

List of tags being used by this experiment.For GET requests, this is an optional field that needs to be specified in request params.

targetingConfiguration
enum<string>
deprecated

Deprecated. Use the https://api.kameleoon.com/targeting-rules endpoint to update the targeting of your experiment

Available options:
ALL_VISITORS,
AUTOPROMO_AUTODEFINED,
GRAPHICAL_PAGES,
HEAT_SLICE,
PAGE,
SAVED_TEMPLATE,
SITE,
URL
targetingRule
object

Targeting Rule defines the conditions for displaying content to specific user groups based on segments and triggers

targetingRuleId
integer<int64>
deprecated
read-only

Deprecated. Use TargetingRule instead.

targetingSegmentId
integer<int64>
deprecated

Deprecated. Use the https://api.kameleoon.com/targeting-rules endpoint to update the targeting of your experiment

trackingTools
object[]
trafficAllocationMethod
enum<string>
Available options:
CONTEXTUAL_BANDIT,
MANUAL,
MULTI_ARMED_BANDIT
type
enum<string>
Available options:
AI,
CLASSIC,
DEVELOPER,
FEATURE_FLAG,
MVT,
PROMPT,
SDK_HYBRID
variations
integer<int64>[]
read-only

List of variation ids for this experiment

List of variation ids for this experiment